import React from 'react'
import { mount } from '../../test/utils'

import { InlineError } from '../InlineError'

describe('<InlineError />', () => {
  describe('children', () => {
    it('renders error and svg', () => {
      const inlineError = mount(<InlineError message="Error message" />)
      expect(inlineError).toContainReactComponent('svg')
      expect(inlineError.find('p')).toContainReactText('Error message')
    })
  })
})
